/*
 *  Copyright (C) 2004-2005 Savoir-Faire Linux inc.
 *  Author: Jean-Philippe Barrette-LaPierre
 *             <jean-philippe.barrette-lapierre@savoirfairelinux.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *                                                                              
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *                                                                              
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __SFLAUDIO_EMITTER_HPP__
#define __SFLAUDIO_EMITTER_HPP__

namespace SFLAudio
{
  class Context;
  class Source;

  class Emitter 
  {
  public:
    Emitter();
    Emitter(int format, int freq);

    int getFrequency();
    int getFormat();
    
    void setFrequency(int freq);
    void setFormat(int format);

    void connect(Source *source);
    void connect(Context *context);
    Source *getSource();

    virtual bool isNull();

    virtual void play() = 0;
    
    
  private:
    Source *mSource;

    int mFormat;
    int mFreq;
  };

}

#endif

