/*
 *  Copyright (C) 2006 Savoir-Faire Linux inc.
 *  Author: Yan Morin <yan.morin@savoirfairelinux.com>
 *                                                                              
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *                                                                                
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *                                                                              
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef IAXACCOUNT_H
#define IAXACCOUNT_H

#include "account.h"

/**
 * An IAX Account specify IAX specific functions and objects (IAXCall/IAXVoIPLink)
 * @author Yan Morin <yan.morin@gmail.com>
 */
class IAXAccount : public Account
{
public:
    IAXAccount(const AccountID& accountID);

    ~IAXAccount();

  /* virtual Account function implementation */
  void initConfig(Conf::ConfigTree& config);
  void loadConfig();
  bool registerAccount();
  bool unregisterAccount();
  bool init();
  bool terminate();

private:
  /* virtual Account function implementation */
  bool createVoIPLink();
};

#endif
